/* nodeCatalog.H: catalog of builtin XRML node types */

#ifndef _NODECATALOG_H_
#define _NODECATALOG_H_

namespace xrml {

#include "xrml.H"

class node_catalog {
  void init_default(void);
  void init(class SFNode **);
  void check(void);
  MFNode catalog;

public:
  node_catalog(class SFNode** cat =0)
  {
    init(cat);
    check();
  }

  class SFNode* lookup(const char* typeId);
};

extern node_catalog* builtin_nodes;

} // namespace xrml

#endif /*_NODECATALOG_H_*/
